// Shader for power/angle selection arrow in PBA Challenge.
// Copyright 2013 Concrete Software. All rights reserved.
//
// This shader displays one portion of the texture in one region, and another in another. See the fragment shader for where the magic happens; this file is pretty much just your basic, ordinary, run-of-the-mill, nothing special vertex shader.

uniform mat4 cs_ModelViewProjectionMatrix;
attribute vec4 cs_Vertex;
attribute vec2 cs_MultiTexCoord0;
varying vec2 var_TexCoord;

void main()
{
    gl_Position = cs_ModelViewProjectionMatrix * cs_Vertex;
    var_TexCoord = cs_MultiTexCoord0;
}