// Shader for power/angle selection arrow in PBA Challenge.
// Copyright 2013 Concrete Software. All rights reserved.
//
// This shader displays one portion of the texture in one region, and another in another.

uniform sampler2D texture;
varying mediump vec2 var_TexCoord;
uniform mediump float pba_PowerCutoffPoint;

void main()
{
    gl_FragColor = texture2D(texture, vec2((var_TexCoord.y < pba_PowerCutoffPoint)?(var_TexCoord.x+0.33333):var_TexCoord.x, var_TexCoord.y));
}